### File

`packages/base/src/lib/eui-models/eui-config/eui-env-config.ts`

### Description

The EnvDynamicConfig is the dynamic configuration object for the EUI library that uses the dynamic configuration to update the configuration at runtime. The dynamic configuration can be fetched from a local path or a web service, can be merged or deep merged with the default configuration at runtime and can be awaited for a specific duration to resolve the request.

### Index

###### Properties
Optional configTimeout Optional deepMerge Optional merge uri

### Properties

configTimeout
`configTimeout: `number``
Type : `number`
Optional
Dynamic config will be awaiting 2000ms(default) to resolve the request, to change this duration you can use this parameter

deepMerge
`deepMerge: `boolean``
Type : `boolean`
Optional
If merge array is provided, the way of merging will be one-level merge as default. To have deep merge functionality, you have to define deepMerge:true

merge
`merge: `Array<string>``
Type : `Array<string>`
Optional
Dynamic configuration overwrites to the config properties of EuiAppJsonConfig in the default configuration (global, modules, versions, [key: string]: any; ) To merge the data for specific config property/ies you can define them as array, e.g.['modules','global'] Note: When deepMerge:true is not provided, If there is common sub property for the merged object, dynamic fetched config will be overwriting it, otherwise It will be merged deeply.

uri
`uri: `string``
Type : `string`
uri which can be local path or webservice, should store/return json-config which implements EuiAppJsonConfig

# results matching ""

# No results matching ""